summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author abooksigun2019-09-14 05:52:12 +0200
committer Willy Sudiarto Raharjo2019-09-14 05:52:12 +0200
commitf0cd9c51b974b00cddaf97564e5a2a3d2fa2f233 (patch)
tree8767634e74e39a2a9171cd65a210d9fb36a6a9ad
parent889f1148cc7ec10d218ab3b8d1136462dc30dac5 (diff)
downloadslackbuilds-f0cd9c51b974b00cddaf97564e5a2a3d2fa2f233.tar.gz
system/ck4up: Added (Monitor Web Pages).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ck4up/README14
-rw-r--r--system/ck4up/ck4up.SlackBuild88
-rw-r--r--system/ck4up/ck4up.info10
-rw-r--r--system/ck4up/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/system/ck4up/README b/system/ck4up/README
new file mode 100644
index 0000000000..eb376336b6
--- /dev/null
+++ b/system/ck4up/README
@@ -0,0 +1,14 @@
+ck4up is a small command-line utility, writen in ruby, primarily
+intended for CRUX ports maintainers to watch http and ftp sites for
+updates, but may also be useful for others.
+
+ck4up scans through a configuration file, fetches the listed URLs
+from the web, computes the md5sum of the page, and compares the
+value with one stored in a gdbm database. If both differ a message
+will be written to the standard output.
+
+To improve performance, ck4up is multi-threaded. Regular expressions
+can be applied to each page in the event that ck4up produces
+repetitive diff messages. For example, if daily snapshots and a web
+counter are on the same page. To simplify maintenance of the
+configuration file, a kind of macro-expansion can be used.
diff --git a/system/ck4up/ck4up.SlackBuild b/system/ck4up/ck4up.SlackBuild
new file mode 100644
index 0000000000..dbb831f522
--- /dev/null
+++ b/system/ck4up/ck4up.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for ck4up
+
+# Copyright 2019 abooksigun <abooksigun09@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ck4up
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CREDITS ChangeLog ck4up.conf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ck4up/ck4up.info b/system/ck4up/ck4up.info
new file mode 100644
index 0000000000..735564a00b
--- /dev/null
+++ b/system/ck4up/ck4up.info
@@ -0,0 +1,10 @@
+PRGNAM="ck4up"
+VERSION="1.4"
+HOMEPAGE="http://jue.li/crux/ck4up"
+DOWNLOAD="http://jue.li/crux/ck4up/ck4up-1.4.tar.gz"
+MD5SUM="922d0c9ace75203047d98ab6c54a3a91"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="abooksigun"
+EMAIL="abooksigun09@gmail.com"
diff --git a/system/ck4up/slack-desc b/system/ck4up/slack-desc
new file mode 100644
index 0000000000..08f7a66d53
--- /dev/null
+++ b/system/ck4up/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ck4up: ck4up (Check for Updates, a utility to monitor web pages for updates)
+ck4up:
+ck4up: ck4up is a small command-line utility, writen in ruby,
+ck4up: primarily intended for CRUX ports maintainers to watch http
+ck4up: and ftp sites for updates, but may also be useful for others.
+ck4up:
+ck4up: Homepage: http://jue.li/crux/ck4up/
+ck4up:
+ck4up:
+ck4up:
+ck4up: